COREDNS-MINIMAL(7)

NAME

minimal - minimizes size of the DNS response message whenever possible.

DESCRIPTION

The minimal plugin tries to minimize the size of the response. Depending on the response type it removes resource records from the AUTHORITY and ADDITIONAL sections.

Specifically this plugin looks at successful responses (this excludes negative responses, i.e. nodata or name error). If the successful response isn't a delegation only the RRs in the answer section are written to the client.

SYNTAX

    minimal

EXAMPLES

Enable minimal responses:

    example.org {
        whoami
        forward . 8.8.8.8
        minimal
    }

SEE ALSO

BIND 9 Configuration Reference ⟨https://bind9.readthedocs.io/en/latest/reference.html#boolean-options⟩